Bug 701544 - [abrt] rhythmbox-2.90.1-6.git20110328.fc15: Process /usr/bin/rhythmbox was killed by signal 11 (SIGSEGV)
[abrt] rhythmbox-2.90.1-6.git20110328.fc15: Process /usr/bin/rhythmbox was ki...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
15
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
abrt_hash:a2f5cb6dff88cb28d6b1784d715...
:
: 689187 689280 692010 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-03 03:47 EDT by Iulian Litcanu
Modified: 2012-08-07 11:14 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 11:14:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: event_log (27.81 KB, text/plain)
2011-05-03 03:47 EDT, Iulian Litcanu
no flags Details
File: maps (88.10 KB, text/plain)
2011-05-03 03:47 EDT, Iulian Litcanu
no flags Details
File: build_ids (9.29 KB, text/plain)
2011-05-03 03:47 EDT, Iulian Litcanu
no flags Details
File: dsos (68.11 KB, text/plain)
2011-05-03 03:47 EDT, Iulian Litcanu
no flags Details
File: backtrace (65.07 KB, text/plain)
2011-05-03 03:47 EDT, Iulian Litcanu
no flags Details
File: backtrace (48.13 KB, text/plain)
2012-01-22 16:27 EST, Yann Droneaud
no flags Details
File: backtrace (53.92 KB, text/plain)
2012-01-22 16:39 EST, Yann Droneaud
no flags Details
File: backtrace (45.93 KB, text/plain)
2012-01-23 04:40 EST, Yann Droneaud
no flags Details
valgrind log with failure (189.76 KB, text/plain)
2012-01-23 05:38 EST, Yann Droneaud
no flags Details
File: backtrace (69.16 KB, text/plain)
2012-02-10 03:07 EST, Pau Aliagas
no flags Details

  None (edit)
Description Iulian Litcanu 2011-05-03 03:47:41 EDT
abrt version: 2.0.1
executable: /usr/bin/rhythmbox
cmdline: rhythmbox
component: rhythmbox
kernel: 2.6.38.4-20.fc15.x86_64
reason: Process /usr/bin/rhythmbox was killed by signal 11 (SIGSEGV)
package: rhythmbox-2.90.1-6.git20110328.fc15
architecture: x86_64
username: litcanu
uid: 500
os_release: Fedora release 15 (Lovelock)
time: 1304407289
rating: 4

Text file: event_log, 28475 bytes
Text file: maps, 90218 bytes
Text file: build_ids, 9512 bytes
Binary file: coredump, 509272064 bytes
Text file: dsos, 69742 bytes
Text file: backtrace, 66636 bytes

environ
-----
XDG_SESSION_ID=1
HOSTNAME=litcanu-acasa
IMSETTINGS_INTEGRATE_DESKTOP=yes
SHELL=/bin/bash
TERM=dumb
HISTSIZE=1000
XDG_SESSION_COOKIE=fc068490473c9c2a05c489fc0000000a-1304405807.496321-1970636444
IMSETTINGS_MODULE=none
USER=litcanu
USERNAME=litcanu
MAIL=/var/spool/mail/litcanu
PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/litcanu/bin
DESKTOP_SESSION=gnome
QT_IM_MODULE=xim
PWD=/home/litcanu
XMODIFIERS=@im=none
LANG=en_US.utf8
GDM_LANG=en_US.utf8
GDMSESSION=gnome
HISTCONTROL=ignoredups
HOME=/home/litcanu
SHLVL=1
LOGNAME=litcanu
DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-qfrdp16Nh6,guid=030362a23d906d516285610e0000001c
'LESSOPEN=||/usr/bin/lesspipe.sh %s'
WINDOWPATH=1
XDG_RUNTIME_DIR=/run/user/litcanu
DISPLAY=:0
GTK_IM_MODULE=gtk-im-context-simple
G_BROKEN_FILENAMES=1
XAUTHORITY=/var/run/gdm/auth-for-litcanu-EJ0fmD/database
_=/usr/bin/gnome-session
GNOME_DESKTOP_SESSION_ID=this-is-deprecated
SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1312,unix/unix:/tmp/.ICE-unix/1312
ORBIT_SOCKETDIR=/tmp/orbit-litcanu
GNOME_KEYRING_CONTROL=/tmp/keyring-AboXgX
SSH_AUTH_SOCK=/tmp/keyring-AboXgX/ssh
GPG_AGENT_INFO=/tmp/keyring-AboXgX/gpg:0:1
GJS_DEBUG_OUTPUT=stderr
'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
DESKTOP_STARTUP_ID=gnome-shell-1500-litcanu-acasa-rhythmbox-1_TIME62192
GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/rhythmbox.desktop
GIO_LAUNCHED_DESKTOP_FILE_PID=1665
Comment 1 Iulian Litcanu 2011-05-03 03:47:44 EDT
Created attachment 496438 [details]
File: event_log
Comment 2 Iulian Litcanu 2011-05-03 03:47:47 EDT
Created attachment 496439 [details]
File: maps
Comment 3 Iulian Litcanu 2011-05-03 03:47:49 EDT
Created attachment 496440 [details]
File: build_ids
Comment 4 Iulian Litcanu 2011-05-03 03:47:52 EDT
Created attachment 496441 [details]
File: dsos
Comment 5 Iulian Litcanu 2011-05-03 03:47:54 EDT
Created attachment 496442 [details]
File: backtrace
Comment 6 John 2011-09-15 11:34:10 EDT
Package: rhythmbox-0.13.3-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. opened the folder with the music
2. selected all entries
3. right mouse click to "Open with Rythymbox"
Comment 7 christian.kirbach@googlemail.com 2011-11-21 16:06:47 EST
Package: rhythmbox-2.90.1-17.git20110927.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Ejecting an Apple iPod in the left tree view
Comment 8 jeffwilliams05+bugzilla 2011-12-13 00:53:20 EST
Package: rhythmbox-0.13.3-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. I played a cd from gnome autorun
2. The cd was skipping a bit
3. I went to change tracks or stop the cd and rhythmbox went unresponsive and crashed
Comment 9 Peter Land 2012-01-18 07:03:41 EST
Package: rhythmbox-0.13.3-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----

Not really sure - I was trying to get it to restart after pausing, when I hit 'play' it seemed to freeze up then I closed it and started again.
Comment 10 Peter Land 2012-01-18 11:53:14 EST
Package: rhythmbox-0.13.3-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----

I let it play to the end, then clicked to select all tracks and hit play. It started from the last track again so I clicked 'back' until it got to track 1, then it died.
Comment 11 Yann Droneaud 2012-01-22 16:27:50 EST
Trying to open a music cd in rythmbox.

backtrace_rating: 4
Package: rhythmbox-2.90.1-17.git20110927.fc16
OS Release: Fedora release 16 (Verne)
Comment 12 Yann Droneaud 2012-01-22 16:27:55 EST
Created attachment 556819 [details]
File: backtrace
Comment 13 Yann Droneaud 2012-01-22 16:34:58 EST
See also bug 723076
Comment 14 Yann Droneaud 2012-01-22 16:39:30 EST
Opening an audio cd

backtrace_rating: 4
Package: rhythmbox-2.90.1-17.git20110927.fc16
OS Release: Fedora release 16 (Verne)
Comment 15 Yann Droneaud 2012-01-22 16:39:34 EST
Created attachment 556821 [details]
File: backtrace
Comment 16 Yann Droneaud 2012-01-23 04:40:19 EST
Try to open an Audio CD

backtrace_rating: 4
Package: rhythmbox-2.90.1-17.git20110927.fc16
OS Release: Fedora release 16 (Verne)
Comment 17 Yann Droneaud 2012-01-23 04:40:22 EST
Created attachment 556877 [details]
File: backtrace
Comment 18 Peter Land 2012-01-23 05:12:28 EST
It always works fine when I just let it play through to the end then replace the cd - it's when I pause it or skip backwards that the problem occurs.
Comment 19 Yann Droneaud 2012-01-23 05:38:03 EST
Created attachment 556906 [details]
valgrind log with failure

Here's a valgrind log showing one or more problem.
It seems related to reading/writing elements from the database while they are removed.


Here are the two interesting errors:

==00:00:12:54.830 7378== 16 errors in context 20 of 21:
==00:00:12:54.830 7378== Invalid read of size 4
==00:00:12:54.830 7378==    at 0x3688CA531C: rhythmdb_entry_ref (rhythmdb.c:1837)
==00:00:12:54.830 7378==    by 0x3688CAB34B: rhythmdb_entry_set (rhythmdb.c:3247)
==00:00:12:54.830 7378==    by 0x20961560: update_tracks (rb-audiocd-source.c:1212)
==00:00:12:54.830 7378==    by 0x20961739: update_tracks_string (rb-audiocd-source.c:1225)
==00:00:12:54.830 7378==    by 0x2096188B: update_artist_cb (rb-audiocd-source.c:1232)
==00:00:12:54.830 7378==    by 0x3687152707: _gtk_marshal_BOOLEAN__BOXED (gtkmarshalers.c:85)
==00:00:12:54.830 7378==    by 0x3DFDE0EA23: g_closure_invoke (gclosure.c:774)
==00:00:12:54.830 7378==    by 0x3DFDE20D16: signal_emit_unlocked_R (gsignal.c:3272)
==00:00:12:54.830 7378==    by 0x3DFDE29F12: g_signal_emit_valist (gsignal.c:3013)
==00:00:12:54.830 7378==    by 0x3DFDE2A2E1: g_signal_emit (gsignal.c:3060)
==00:00:12:54.830 7378==    by 0x368727EF78: gtk_widget_event_internal (gtkwidget.c:6132)
==00:00:12:54.830 7378==    by 0x368728B411: gtk_widget_send_focus_change (gtkwidget.c:14218)
==00:00:12:54.830 7378==  Address 0x1779b2b4 is 4 bytes inside a block of size 308 free'd
==00:00:12:54.830 7378==    at 0x4A0662E: free (vg_replace_malloc.c:366)
==00:00:12:54.830 7378==    by 0x3DFAE4B792: g_free (gmem.c:263)
==00:00:12:54.830 7378==    by 0x3688CBF39C: remove_one_song (rhythmdb-tree.c:1731)
==00:00:12:54.830 7378==    by 0x3DFAE32A5F: g_hash_table_foreach_remove_or_steal (ghash.c:1309)
==00:00:12:54.830 7378==    by 0x3688CBF227: rhythmdb_tree_entry_delete_by_type (rhythmdb-tree.c:1748)
==00:00:12:54.830 7378==    by 0x2095F886: impl_delete_thyself (rb-audiocd-source.c:1105)
==00:00:12:54.830 7378==    by 0x3688C647A4: rb_display_page_delete_thyself (rb-display-page.c:170)
==00:00:12:54.830 7378==    by 0x3DFDE0EA23: g_closure_invoke (gclosure.c:774)
==00:00:12:54.830 7378==    by 0x3DFDE20D16: signal_emit_unlocked_R (gsignal.c:3272)
==00:00:12:54.830 7378==    by 0x3DFDE2A140: g_signal_emit_valist (gsignal.c:3003)
==00:00:12:54.830 7378==    by 0x3DFDE2A4CC: g_signal_emit_by_name (gsignal.c:3097)
==00:00:12:54.830 7378==    by 0x3DFDE0EA23: g_closure_invoke (gclosure.c:774)


And:

==00:00:12:54.830 7378== 16 errors in context 21 of 21:
==00:00:12:54.830 7378== Invalid read of size 1
==00:00:12:54.830 7378==    at 0x3688CAB2E1: rhythmdb_entry_set (rhythmdb.c:3235)
==00:00:12:54.830 7378==    by 0x20961560: update_tracks (rb-audiocd-source.c:1212)
==00:00:12:54.830 7378==    by 0x20961739: update_tracks_string (rb-audiocd-source.c:1225)
==00:00:12:54.830 7378==    by 0x2096188B: update_artist_cb (rb-audiocd-source.c:1232)
==00:00:12:54.830 7378==    by 0x3687152707: _gtk_marshal_BOOLEAN__BOXED (gtkmarshalers.c:85)
==00:00:12:54.830 7378==    by 0x3DFDE0EA23: g_closure_invoke (gclosure.c:774)
==00:00:12:54.830 7378==    by 0x3DFDE20D16: signal_emit_unlocked_R (gsignal.c:3272)
==00:00:12:54.830 7378==    by 0x3DFDE29F12: g_signal_emit_valist (gsignal.c:3013)
==00:00:12:54.830 7378==    by 0x3DFDE2A2E1: g_signal_emit (gsignal.c:3060)
==00:00:12:54.830 7378==    by 0x368727EF78: gtk_widget_event_internal (gtkwidget.c:6132)
==00:00:12:54.830 7378==    by 0x368728B411: gtk_widget_send_focus_change (gtkwidget.c:14218)
==00:00:12:54.831 7378==    by 0x368729082F: do_focus_change (gtkwindow.c:5978)
==00:00:12:54.831 7378==  Address 0x1779b2b0 is 0 bytes inside a block of size 308 free'd
==00:00:12:54.831 7378==    at 0x4A0662E: free (vg_replace_malloc.c:366)
==00:00:12:54.831 7378==    by 0x3DFAE4B792: g_free (gmem.c:263)
==00:00:12:54.831 7378==    by 0x3688CBF39C: remove_one_song (rhythmdb-tree.c:1731)
==00:00:12:54.831 7378==    by 0x3DFAE32A5F: g_hash_table_foreach_remove_or_steal (ghash.c:1309)
==00:00:12:54.831 7378==    by 0x3688CBF227: rhythmdb_tree_entry_delete_by_type (rhythmdb-tree.c:1748)
==00:00:12:54.831 7378==    by 0x2095F886: impl_delete_thyself (rb-audiocd-source.c:1105)
==00:00:12:54.831 7378==    by 0x3688C647A4: rb_display_page_delete_thyself (rb-display-page.c:170)
==00:00:12:54.831 7378==    by 0x3DFDE0EA23: g_closure_invoke (gclosure.c:774)
==00:00:12:54.831 7378==    by 0x3DFDE20D16: signal_emit_unlocked_R (gsignal.c:3272)
==00:00:12:54.831 7378==    by 0x3DFDE2A140: g_signal_emit_valist (gsignal.c:3003)
==00:00:12:54.831 7378==    by 0x3DFDE2A4CC: g_signal_emit_by_name (gsignal.c:3097)
==00:00:12:54.831 7378==    by 0x3DFDE0EA23: g_closure_invoke (gclosure.c:774)


Rhytmbox seems to be crashing because gvfs crashed first (See bug 723076). It's triggering some kind of race condition.
Comment 20 Yann Droneaud 2012-01-23 05:52:23 EST
See also bug 739779
Comment 21 Pau Aliagas 2012-02-10 03:07:38 EST
Unplugging an mtp device (switching Galaxy Nexus from MTP to camera mode) crashes the program. Music was in pause mode.

backtrace_rating: 4
Package: rhythmbox-2.90.1-17.git20110927.fc16
OS Release: Fedora release 16 (Verne)
Comment 22 Pau Aliagas 2012-02-10 03:07:46 EST
Created attachment 560802 [details]
File: backtrace
Comment 23 abrt-bot 2012-03-20 13:09:01 EDT
*** Bug 692010 has been marked as a duplicate of this bug. ***
Comment 24 abrt-bot 2012-03-20 13:09:09 EDT
*** Bug 689187 has been marked as a duplicate of this bug. ***
Comment 25 abrt-bot 2012-03-20 13:09:16 EDT
*** Bug 689280 has been marked as a duplicate of this bug. ***
Comment 26 jj424 2012-06-10 13:37:08 EDT
I was closing Rhthymbox by clicking the X and it crashed

backtrace_rating: 4
Package: rhythmbox-2.96-3.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 27 fred 2012-06-21 10:31:35 EDT
I turned of the mtp mode of my galaxy S when playing a song.

backtrace_rating: 3
Package: rhythmbox-2.97-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 28 Fedora End Of Life 2012-08-07 11:14:13 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.